package microfolie.service.dto;

import java.util.Date;

public class UsagerDTO {

	public String nom;
	public String prenom;
	public String genre;
	public Date dateNaissance;
	public String ville;
	public String situation;
	public String email;
	public String telephone;
	public String contactUrgence;
	public String code;
	
	public UsagerDTO() {
		// Constructeur par defaut pour contruire un objet vide
	}
	
	public UsagerDTO(String nom, String prenom, String genre, Date dateNaissance, String ville, String situation,
			String email, String telephone, String contactUrgence) {
		this.nom = nom;
		this.prenom = prenom;
		this.genre = genre;
		this.dateNaissance = dateNaissance;
		this.ville = ville;
		this.situation = situation;
		this.email = email;
		this.telephone = telephone;
		this.contactUrgence = contactUrgence;
	}
	
	public UsagerDTO(String nom, String prenom, String genre, Date dateNaissance, String ville, String situation,
			String email, String telephone, String contactUrgence, String code) {
		this.nom = nom;
		this.prenom = prenom;
		this.genre = genre;
		this.dateNaissance = dateNaissance;
		this.ville = ville;
		this.situation = situation;
		this.email = email;
		this.telephone = telephone;
		this.contactUrgence = contactUrgence;
		this.code = code;
	}

	public String getNom() {
		return nom;
	}
	
	public void setNom(String nom) {
		this.nom = nom;
	}
	
	public String getPrenom() {
		return prenom;
	}
	
	public void setPrenom(String prenom) {
		this.prenom = prenom;
	}
	
	public String getGenre() {
		return genre;
	}
	
	public void setGenre(String genre) {
		this.genre = genre;
	}
	
	public Date getDateNaissance() {
		return dateNaissance;
	}
	
	public void setDateNaissance(Date dateNaissance) {
		this.dateNaissance = dateNaissance;
	}
	
	public String getVille() {
		return ville;
	}
	
	public void setVille(String ville) {
		this.ville = ville;
	}
	
	public String getSituation() {
		return situation;
	}
	
	public void setSituation(String situation) {
		this.situation = situation;
	}
	
	public String getEmail() {
		return email;
	}
	
	public void setEmail(String email) {
		this.email = email;
	}
	
	public String getTelephone() {
		return telephone;
	}
	
	public void setTelephone(String telephone) {
		this.telephone = telephone;
	}
	
	public String getContactUrgence() {
		return contactUrgence;
	}
	
	public void setContactUrgence(String contactUrgence) {
		this.contactUrgence = contactUrgence;
	}
	
	public String getCode() {
		return code;
	}
	
	public void setCode(String code) {
		this.code = code;
	}
	
}
